package com.jscape.inet.sftp.protocol.v4.messages;

import com.jscape.inet.sftp.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class SshFxpReadLink
        extends Message<SshFxpReadLink.Handler> {

    public final int id;
    public final String path;

    public SshFxpReadLink(int id, String path) {
        this.id = id;

        assertNotNull(path);
        this.path = path;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshFxpReadLink {"
                + "id=" + this.id
                + ", path='" + this.path + '\''
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshFxpReadLink message, MessageConnection<Message> connection);

    }
}
